import { SerdeOptions } from '../options';
import { Deserialize, Deserializer } from './interface';
type DeserializeConstructor<T> = Deserialize<T> & {
    new (): Deserialize<T>;
};
export declare function deserializeWith<T, D extends Deserializer, E extends DeserializeConstructor<T>>(deserializer: D, into: E, options: SerdeOptions): T;
export {};
