"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalRegistry = exports.Registry = void 0;
class Registry {
    constructor() {
        Object.defineProperty(this, "registeredClasses", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: new Map()
        });
    }
    add(ctor, key = ctor.name) {
        this.registeredClasses.set(key, ctor);
    }
    get(name) {
        return this.registeredClasses.get(name);
    }
}
exports.Registry = Registry;
exports.GlobalRegistry = new Registry();
